function X = bldPoly(t, deg)
%  builds the design matrix X for univariate polynomial regression
%  for the values t in the design, for polynomial regression
%  of degree deg.
%
%
% P.B. Stark  stark@stat.berkeley.edu
% 9 July 1997.
%
[m,n] = size(t);
if (min(m,n) > 1),
	error('t must be a vector');
elsif (deg < 0),
	error('degree of polynomial must be positive')
end;
if (m < n),
	t = t';
end
X = ones(size(t));
for d = 1:deg,
	X = [X, t.^d];
end
return;

